This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 705352 - gcc installation fails with dependency error (Error: Package: glibc-headers-2.13.90-9.i686 (fedora) Requires: glibc = 2.13.90-9)
gcc installation fails with dependency error (Error: Package: glibc-headers-2...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-17 08:59 EDT by Volodymyr Shcherbyna
Modified: 2011-05-22 20:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-17 09:04:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Volodymyr Shcherbyna 2011-05-17 08:59:39 EDT
Description of problem: Hello, I am using FC15 x86 KDE and it seems like I can't install gcc on it.

Version-Release number of selected component (if applicable): FC15 x86 KDE

How reproducible: fire up terminal and do sudo yum install gcc

Steps to Reproduce:

1. Fire up terminal

2. Type sudo yum install gcc

3. Wait for the operation to finish
  
Actual results:

$ sudo yum install gcc
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package gcc.i686 0:4.6.0-6.fc15 will be installed
--> Processing Dependency: libgomp = 4.6.0-6.fc15 for package: gcc-4.6.0-6.fc15.i686
--> Processing Dependency: cpp = 4.6.0-6.fc15 for package: gcc-4.6.0-6.fc15.i686
--> Processing Dependency: cloog-ppl >= 0.15 for package: gcc-4.6.0-6.fc15.i686
--> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc-4.6.0-6.fc15.i686
--> Processing Dependency: libmpc.so.2 for package: gcc-4.6.0-6.fc15.i686
--> Running transaction check
---> Package cloog-ppl.i686 0:0.15.9-3.fc15 will be installed
--> Processing Dependency: libppl.so.9 for package: cloog-ppl-0.15.9-3.fc15.i686
--> Processing Dependency: libppl_c.so.4 for package: cloog-ppl-0.15.9-3.fc15.i686
---> Package cpp.i686 0:4.6.0-6.fc15 will be installed
---> Package gcc.i686 0:4.6.0-6.fc15 will be installed
--> Processing Dependency: libgomp = 4.6.0-6.fc15 for package: gcc-4.6.0-6.fc15.i686
---> Package glibc-devel.i686 0:2.13.90-9 will be installed
--> Processing Dependency: glibc-headers = 2.13.90-9 for package: glibc-devel-2.13.90-9.i686
--> Processing Dependency: glibc = 2.13.90-9 for package: glibc-devel-2.13.90-9.i686
--> Processing Dependency: glibc-headers for package: glibc-devel-2.13.90-9.i686
---> Package libmpc.i686 0:0.8.3-0.3.svn855.fc15 will be installed
--> Running transaction check
---> Package gcc.i686 0:4.6.0-6.fc15 will be installed
--> Processing Dependency: libgomp = 4.6.0-6.fc15 for package: gcc-4.6.0-6.fc15.i686
---> Package glibc-devel.i686 0:2.13.90-9 will be installed
--> Processing Dependency: glibc = 2.13.90-9 for package: glibc-devel-2.13.90-9.i686
---> Package glibc-headers.i686 0:2.13.90-9 will be installed
--> Processing Dependency: glibc = 2.13.90-9 for package: glibc-headers-2.13.90-9.i686
---> Package ppl.i686 0:0.11.2-1.fc15 will be installed
--> Processing Dependency: libpwl.so.5 for package: ppl-0.11.2-1.fc15.i686
--> Running transaction check
---> Package gcc.i686 0:4.6.0-6.fc15 will be installed
--> Processing Dependency: libgomp = 4.6.0-6.fc15 for package: gcc-4.6.0-6.fc15.i686
---> Package glibc-devel.i686 0:2.13.90-9 will be installed
--> Processing Dependency: glibc = 2.13.90-9 for package: glibc-devel-2.13.90-9.i686
---> Package glibc-headers.i686 0:2.13.90-9 will be installed
--> Processing Dependency: glibc = 2.13.90-9 for package: glibc-headers-2.13.90-9.i686
---> Package ppl-pwl.i686 0:0.11.2-1.fc15 will be installed
--> Finished Dependency Resolution
Error: Package: glibc-headers-2.13.90-9.i686 (fedora)
           Requires: glibc = 2.13.90-9
           Installed: glibc-2.13.90-11.i686 (@updates-testing)
               glibc = 2.13.90-11
           Available: glibc-2.13.90-9.i686 (fedora)
               glibc = 2.13.90-9
Error: Package: gcc-4.6.0-6.fc15.i686 (fedora)
           Requires: libgomp = 4.6.0-6.fc15
           Installed: libgomp-4.6.0-7.fc15.i686 (@updates-testing)
               libgomp = 4.6.0-7.fc15
           Available: libgomp-4.6.0-6.fc15.i686 (fedora)
               libgomp = 4.6.0-6.fc15
Error: Package: glibc-devel-2.13.90-9.i686 (fedora)
           Requires: glibc = 2.13.90-9
           Installed: glibc-2.13.90-11.i686 (@updates-testing)
               glibc = 2.13.90-11
           Available: glibc-2.13.90-9.i686 (fedora)
               glibc = 2.13.90-9
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Expected results:

It should normally install gcc.

Additional info: It is a basic install of FC15. System is up to date, no hacks with addinional sources of packages are done.
Comment 1 Jakub Jelinek 2011-05-17 09:04:54 EDT
Not gcc related at all, you've apparently installed glibc 2.13.90-11 from updates-testing, but don't have updates-testing enabled any longer.  User error.
Comment 2 Volodymyr Shcherbyna 2011-05-17 09:09:52 EDT
Thank you for clearing this up. But I did not switch off updates-testing.

Can it switch off by itself? It seems like I am not the only one affected with this problem.
Comment 3 jdonohue654-fedora 2011-05-22 20:20:09 EDT
I ran into the same thing and as a new fedora user was also confused. I found this helpful explanation of why updates-testing was turned off:

http://forums.fedoraforum.org/showthread.php?t=263253

In case it helps anyone else, the fix is:

yum distro-sync

Note You need to log in before you can comment on or make changes to this bug.